<?php
/*
Plugin Name: FourSquare API
Plugin URI: http://nzguru.net/foursquareapi-plugin-for-wordpress
Version: 1.3.4
Author: the Guru
Author URI: http://nzguru.net
Description: Provides access to the FourSquare API
License: GPL2
	Copyright 2011  the Guru  (email : admin[at]nzguru.net)
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License, version 2, as
	published by the Free Software Foundation.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
// If the link has been clicked, and we have a supplied code, use it to request a token
if ( array_key_exists("code",$_GET) && !function_exists( 'get_bloginfo' ) ) {
	require_once( '../../../wp-config.php' );
	require_once( $wp_plugin_dir . '/foursquareapi/php/FourSquareAPI.class.php' );
	// Load the Foursquare API library
	$foursquare = new FoursquareAPI( get_option( 'f2api_client_id' ), get_option( 'f2api_client_secret' ) );
	$foursquare->setRedirectUri( get_bloginfo('wpurl' ) . '/wp-content/plugins/foursquareapi/FourSquareAPI.php');
	$token = $foursquare->GetToken( $_GET['code'] );
	update_option( 'f2api_oauth_token', $token );
	wp_redirect( get_bloginfo('wpurl') . '/wp-admin/options-general.php?page=FourSquareAPI.php' );
}

if ( version_compare( get_bloginfo( 'version' ) , '3.0' , '<' ) && is_ssl() ) {
	$wp_content_url = str_replace( 'http://' , 'https://' , get_option( 'siteurl' ) );
}
else {
	$wp_content_url = get_option( 'siteurl' );
}
$wp_content_url .= '/wp-content';
$wp_content_dir = ABSPATH . 'wp-content';

if ( defined('WP_CONTENT_URL') ) {
	$wp_content_url = constant('WP_CONTENT_URL');
}
if ( defined('WP_CONTENT_DIR') ) {
	$wp_content_dir = constant('WP_CONTENT_DIR');
}

$wp_plugin_url = $wp_content_url . '/plugins';
$wp_plugin_dir = $wp_content_dir . '/plugins';

if ( version_compare( phpversion(), '5.0', '<' ) || !function_exists( 'curl_init' ) ) {
	$warning = __('FourSquareAPI requires PHP version 5 or above with cURL support. Please upgrade PHP or install cURL to run FourSquareAPI.','FourSquareAPI' );
	add_action('admin_notices', create_function( '', "echo \"<div class='error'><p>$warning</p></div>\";" ) );
}
else {
	require_once( $wp_plugin_dir . '/foursquareapi/php/FourSquareAPI.class.php' );
}

// include service functions
require_once( $wp_plugin_dir . '/foursquareapi/php/FourSquareAPI.functions.php' );
require_once( $wp_plugin_dir . '/foursquareapi/php/Zebra_Image.php' );
if ( function_exists( 'wp_enqueue_style' ) ) {
	wp_enqueue_style('FourSquareAPI', $wp_plugin_url . '/foursquareapi/css/FourSquareAPI.css', array(), false, 'all');
}
if ( function_exists( 'wp_enqueue_script' ) && ( get_option( 'f2api_latest_checkins_show_map' ) || get_option( 'f2api_badges_show_map' ) ) ) {
	wp_enqueue_script('FourSquareAPI', 'http://maps.googleapis.com/maps/api/js?sensor=false');
}

global $wp_version;

// Check whether a supported version is in use.
$exit_msg = __( 'FourSquareAPI requires WordPress 3.0.6 or a more recent version. <a href="http://codex.wordpress.org/Upgrading_WordPress">Please update WordPress to continue using FourSquareAPI!</a>','FourSquareAPI' );
if ( version_compare( $wp_version,"3.0.6","<" ) ) {
	if ( is_admin() ) {
		_e( '<div class="error"><p>' . $exit_msg . '</p></div>' );
	}
}

// check for OAuth configuration
if ( !function_exists('f2api_oauth_test') ) {
	$oauth = false;
}
else {
	$oauth = f2api_oauth_test();
}

if ( !$oauth && get_option( 'disable_oauth_notice' ) != '1' ) {
	$message = sprintf( __( 'FourSquare requires authentication by OAuth. You will need to <a href="%s">update your settings</a> to complete installation of FourSquareAPI.', 'FourSquareAPI'), admin_url( 'options-general.php?page=FourSquareAPI.php' ) );
	add_action( 'admin_notices', create_function( '', "if ( ! current_user_can( 'manage_options' ) ) { return; } else { _e( '<div class=\"error\"><p>$message</p></div>' );}" ) );
}

add_action( 'admin_menu', 'f2api_AdminPages' );
add_action( 'widgets_init', 'f2api_widget_init' );
?>